Time to update your PCT-SAFE FM software

Yes, it’s time to update your PCT-SAFE File Manager software.  There is a vulnerability in an older version of SSL (secure sockets layer) and our friends at WIPO have released a new version of PCT-SAFE FM — version 3.51.065.241 — which avoids this vulnerability.Users of PCT-SAFE FM should go to WIPO’s web site to download and install this new version of PCT-SAFE FM.

This offers a reminder of one of the benefits of ePCT as your filing platform.  With ePCT, WIPO is able to update its server and there is no need for users to download and install anything new.

Of course for now you need both ePCT and PCT-SAFE FM, for the simple reason that if you are filing in RO/US you need to use PCT-SAFE FM to create your ZIP file.  And you need ePCT to create the secret code number that you paste into PCT-SAFE FM so that the ZIP file (when e-filed in EFS-Web) will give you automatic access to the filing in ePCT.

Posted in PCT |

Leave a comment

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.